package com.haru.tetoru.sample.frame.AI;



class Main {
	public static void main(String[] args) {
		/* 画面を定義 */
		MyGameFrame frame = new MyGameFrame();
		/* プレイヤーを定義 */
		AIPlayer player = new AIPlayer();
		/* ゲームスレッド起動 */
		Thread thread = new Thread(new MyGameThreadAI(frame, player));
		thread.start();
	}
}

class MyGameThreadAI extends GameThreadAI {
	MyGameThreadAI(MyGameFrame display, AIPlayer player) {
		super(display, player);
	}

	@Override
	protected void initialize() {
		/* 親クラスの変数を必要な型にキャスト */
		AIPlayer p = (AIPlayer)this.player;
		MyGameFrame d = (MyGameFrame)display;

		/* キーリスナー登録 */
		p.registInputListener(d);

		/* JFrameにフォーカスを設定 */
		d.requestFocus();
	}
}
